Frage von LeonCheater, 37

Wie lasse ich Apache2 LibreSSL verwenden?

Ich benutze den Webserver Apache (Version 2.4.20) auf Ubuntu-Server (14.04) in Verbindung mit OpenSSL (1.0.2h). Da OpenSSL aber noch nicht die CHACHA20_POLY1305 Cipher Mechanismen unterstützt, möchte ich auf LibreSSL umsteigen. Das habe ich jetzt installiert (Version 2.4.1) und einen symlink auf /usr/bin/openssl gesetzt, der auf LibreSSL zeigen soll (funktioniert auch). Allerdings unterstützt Apache laut ssllabs.com trotzdem nicht die gewünschte Suite (obwohl in allen VHosts die CHACHA20_POLY1305 Suite an erster Stelle vermerkt ist).

Was muss ich machen, damit Apache mit LibreSSL funktioniert?

Antwort
von threadi, 18

Aber den Apachen hast Du auch neugestartet nach der Anpassung?

Kommentar von LeonCheater ,

Natürlich. Den Server selbst auch

Kommentar von threadi ,

Geh mal nach der Anleitung hier vor: https://dorianharmans.nl/apache-with-libressl/ - der Symlink alleine reicht nicht aus wie es scheint.

Keine passende Antwort gefunden?

Fragen Sie die Community